local dpi = require("beautiful.xresources").apply_dpi
local theme = {}

-- Font
theme.font = "Ubuntu 9"
theme.title_font = "Ubuntu 10"

-- Background
theme.bg_normal = "#1f2430"
theme.bg_dark = "#000000"
theme.bg_focus = "#151821"
theme.bg_urgent = "#ed8274"
theme.bg_minimize = "#444444"

-- Foreground
theme.fg_normal = "#ffffff"
theme.fg_focus = "#e4e4e4"
theme.fg_urgent = "#ffffff"
theme.fg_minimize = "#ffffff"

-- Window Gap Distance
theme.useless_gap = dpi(2)

-- Show Gaps if Only One Client is Visible
theme.gap_single_client = false

-- Window Borders
theme.border_width = dpi(3)
theme.border_normal = "#00000000"
theme.border_focus = "#002F5F"
theme.border_marked = theme.fg_urgent

-- Panel Sizing
theme.top_panel_height = dpi(27)
theme.top_panel_powerline = "#002F5F"

-- Taglist
theme.taglist_bg_focus = theme.top_panel_powerline

-- Notification Sizing
theme.notification_max_width = dpi(350)

-- System Tray
theme.bg_systray = theme.top_panel_powerline
theme.systray_icon_spacing = dpi(15)

-- return theme
return theme
